/* - This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this file,
   - You can obtain one at http://mozilla.org/MPL/2.0/. */

%include ../shared.inc
%include ../../../shared/in-content/common.inc.css

xul|tabs {
  padding-inline: 0;
  position: static;
}

xul|tab[visuallyselected] {
  color: inherit !important;
  text-shadow: none;
}

xul|button[dlgtype="help"] {
  -moz-appearance: none;
  width: auto;
}

xul|menulist > xul|menupopup > xul|menuitem[checked="true"]::before,
xul|menulist > xul|menupopup > xul|menuitem[selected="true"]::before {
  display: none;
}

xul|menulist::part(dropmarker) {
  display: -moz-box;
  margin-block: 1px;
}

xul|menulist > xul|menupopup xul|menu,
xul|menulist > xul|menupopup xul|menuitem {
  padding-inline-end: 34px;
}

xul|*.help-button > xul|*.button-box > xul|*.button-icon {
  margin-inline-start: 0;
}

xul|*.checkbox-icon,
xul|*.radio-icon {
  margin-inline-end: 0;
}

xul|*.text-link:-moz-focusring {
  color: var(--in-content-link-highlight);
  text-decoration: underline;
  box-shadow: none;
}

xul|checkbox:-moz-focusring > .checkbox-check,
html|input[type="checkbox"]:-moz-focusring + html|label:before,
xul|radio[focused="true"] > .radio-check,
xul|tab:-moz-focusring > .tab-middle > .tab-text {
  outline: 2px solid rgba(0,149,221,0.5);
  outline-offset: 1px;
  -moz-outline-radius: 2px;
}

xul|radio[focused="true"] > .radio-check {
  -moz-outline-radius: 100%;
}

xul|search-textbox {
  -moz-appearance: none;
  padding-inline: 8px;
}

xul|search-textbox::part(search-sign) {
  -moz-context-properties: fill, fill-opacity;
  fill: currentColor;
  fill-opacity: 0.8;
  list-style-image: url(chrome://global/skin/icons/search-textbox.svg);
  margin-inline-end: 5px;
}

html|button {
  /* XUL button min-width */
  min-width: 79px;
}

html|input[type="email"],
html|input[type="tel"],
html|input[type="text"],
html|input[type="password"],
html|input[type="number"],
html|textarea {
  margin: 4px;
}
